<header class="header">
    <h3 class="o-form__section-headline">Ihre Teilnehmerdaten</h3>
</header>
<f:if condition="{renderMandatory}">
    <f:render arguments="{isCompany: 0}" partial="CourseregistrationForm/MandatoryHint"/>
</f:if>
<div class="o-form__item-group">
    <div class="o-form__item t-medium-12 columns">
        <label class="o-form__label o-form__label--select" for="p_anrede">Anrede</label>
        <f:form.select class="o-form__field o-form__field--select" id="p_anrede" name="anrede" tabindex="0"
                       options="{prefix_array}"/>
    </div>
    <div class="o-form__item t-medium-12 columns is-last-in-row">
        <label class="o-form__label o-form__label--select" for="p_titel">Titel</label>
        <f:form.select class="o-form__field o-form__field--select" id="p_titel" name="titel" tabindex="1" options="{title_array}"/>
    </div>
    <div class="o-form__item t-medium-12 columns">
        <f:form.textfield class="o-form__field o-form__field--text" id="p_vorname" name="vorname"
                          required="required" tabindex="2" value=""/>
        <label class="o-form__label" for="p_vorname">Vorname<span class="must">*</span></label>
    </div>
    <div class="o-form__item t-medium-12 columns is-last-in-row">
        <f:form.textfield class="o-form__field o-form__field--text" id="p_name" name="name" required="required" tabindex="3"
                          value=""/>
        <label class="o-form__label" for="p_name">Nachname<span class="must">*</span></label>
        <f:form.textfield name="birthname" value="" id="p_birthname" class="o-form__field o-form__field--text o-form__p_birthname" tabindex="-1" additionalAttributes="{autocomplete: 'off', aria-hidden: 'true'}"/>
        <label for="p_birthname" class="o-form__label">Geburtsname</label>
    </div>
    <div class="o-form__item t-medium-24 columns is-last-in-row">
        <f:form.textfield class="o-form__field o-form__field--text" id="p_strasse" name="strasse"
                          required="required" tabindex="4"
                          value=""/>
        <label class="o-form__label" for="p_strasse">Straße / Nr.<span class="must">*</span></label>
    </div>
    <div class="o-form__item t-medium-4 columns">
        <f:form.textfield class="o-form__field o-form__field--text" id="p_plz" name="plz" required="required"
                          tabindex="5" value="" pattern="[0-9]+" data="{parsley-error-message: 'Bitte eine korrekte PLZ eingeben!'}" additionalAttributes="{minlength: '5'}" maxlength="5"/>
        <label class="o-form__label" for="p_plz">PLZ<span class="must">*</span></label>
    </div>
    <div class="o-form__item t-medium-20 columns is-last-in-row">
        <f:form.textfield class="o-form__field o-form__field--text" id="p_ort" name="ort" required="required"
                          value="" tabindex="6"/>
        <label class="o-form__label" for="p_ort">Stadt<span class="must">*</span></label>
    </div>
    <f:if condition="{aShowFields.pBirthday}">
        <f:if condition="{settings.requirePrivatBirthdayField}">
            <f:then>
                <div class="o-form__item t-medium-24 columns is-last-in-row">
                    <f:form.textfield class="date o-form__field o-form__field--text" id="p_geburtsdatum"
                                      name="geburtsdatum" required="required" tabindex="7" type="date"
                                      data="{parsley-error-message: 'Bitte korrektes Geburtsdatum eingeben.'}"/>
                    <label class="o-form__label" for="p_geburtsdatum">Geburtsdatum<span class="must">*</span></label>
                </div>
            </f:then>
            <f:else>
                <div class="o-form__item t-medium-24 columns is-last-in-row">
                    <f:form.textfield class="date o-form__field o-form__field--text" id="p_geburtsdatum"
                                      name="geburtsdatum" tabindex="7" type="date"
                                      data="{parsley-error-message: 'Bitte korrektes Geburtsdatum eingeben.'}"/>
                    <label class="o-form__label" for="p_geburtsdatum">Geburtsdatum</label>
                </div>
            </f:else>
        </f:if>
    </f:if>
    <f:if condition="{settings.Required.email}">
        <f:then>
            <div class="o-form__item t-medium-24 columns is-last-in-row">
                <f:form.textfield class="o-form__field o-form__field--text" id="p_email" name="email"
                                  required="required" type="email"
                                  value="" tabindex="8"/>
                <label class="o-form__label" for="p_email">Mail<span class="must">*</span></label>
            </div>
        </f:then>
        <f:else>
            <div class="o-form__item t-medium-24 columns is-last-in-row">
                <f:form.textfield class="o-form__field o-form__field--text" id="p_email" name="email"
                                  value="" tabindex="8" type="email"/>
                <label class="o-form__label" for="p_email">Mail</label>
            </div>
        </f:else>
    </f:if>
    <f:if condition="{aShowFields.Phone}">
        <f:if condition="{settings.Required.telefon}">
            <f:then>
                <div class="o-form__item t-medium-24 columns is-last-in-row">
                    <f:form.textfield class="o-form__field o-form__field--text" id="p_telefon" name="telefon"
                                      required="required" type="tel" pattern="[0-9]+" data="{parsley-error-message: 'Bitte nur Zahlen eingeben.'}"
                                      value="" tabindex="9"/>
                    <label class="o-form__label" for="p_telefon">Telefon<span class="must">*</span></label>
                </div>
            </f:then>
            <f:else>
                <div class="o-form__item t-medium-24 columns is-last-in-row">
                    <f:form.textfield class="o-form__field o-form__field--text" id="p_telefon" name="telefon"
                                      value="" tabindex="9" type="tel" pattern="[0-9]+" data="{parsley-error-message: 'Bitte nur Zahlen eingeben.'}"/>
                    <label class="o-form__label" for="p_telefon">Telefon</label>
                </div>
            </f:else>
        </f:if>
    </f:if>
    <f:if condition="{aShowFields.Mobile}">
        <f:if condition="{settings.Required.mobile}">
            <f:then>
                <div class="o-form__item t-medium-24 columns is-last-in-row">
                    <f:form.textfield class="o-form__field o-form__field--text" id="p_mobile" name="mobile"
                                      required="required" title="Mobilnummer fehlt!"
                                      value="" tabindex="10" type="tel" pattern="[0-9]+" data="{parsley-error-message: 'Bitte nur Zahlen eingeben.'}"/>
                    <label class="o-form__label" for="p_mobile">Mobil<span class="must">*</span></label>
                </div>
            </f:then>
            <f:else>
                <div class="o-form__item t-medium-24 columns is-last-in-row">
                    <f:form.textfield class="o-form__field o-form__field--text" id="p_mobile" name="mobile"
                                      value="" tabindex="10" type="tel" pattern="[0-9]+" data="{parsley-error-message: 'Bitte nur Zahlen eingeben.'}"/>
                    <label class="o-form__label" for="p_mobile">Mobil</label>
                </div>
            </f:else>
        </f:if>
    </f:if>
</div>
